OpenVDB: NodeList< NodeT > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
NodeList< NodeT > Class Template Reference

This class caches tree nodes of a specific type in a linear array. More...

`#include <NodeManager.h>`

## Classes
class | NodeRange
struct | NodeTransformer

## Public Types
typedef NodeT * | value_type
typedef std::deque< value_type > | ListT

## Public Member Functions
| NodeList ()
void | push_back (NodeT *node)
NodeT & | operator() (size_t n) const
NodeT *& | operator[] (size_t n)
Index64 | nodeCount () const
void | clear ()
void | resize (size_t n)
NodeRange | nodeRange (size_t grainsize=1) const
| Return a TBB-compatible NodeRange. More...
template<typename NodeOp >
void | foreach (const NodeOp &op, bool threaded=true, size_t grainSize=1)

## Protected Attributes
ListT | mList

## Detailed Description

### template<typename NodeT>
class openvdb::v3_1_0::tree::NodeList< NodeT >

This class caches tree nodes of a specific type in a linear array.

Note
  It is for internal use and should rarely be used directly.

## Member Typedef Documentation

typedef std::deque<value_type> ListT

typedef NodeT* value_type

## Constructor & Destructor Documentation

NodeList | ( |  | ) |
| inline

## Member Function Documentation

void clear | ( |  | ) |
| inline

void foreach | ( | const NodeOp & | op,
|  | bool | threaded = `true`,
|  | size_t | grainSize = `1`
| ) |  |
| inline

Index64 nodeCount | ( |  | ) | const
| inline

NodeRange nodeRange | ( | size_t | grainsize = `1` | ) | const
| inline

Return a TBB-compatible NodeRange.

NodeT& operator() | ( | size_t | n | ) | const
| inline

NodeT*& operator[] | ( | size_t | n | ) |
| inline

void push_back | ( | NodeT * | node | ) |
| inline

void resize | ( | size_t | n | ) |
| inline

## Member Data Documentation

ListT mList
| protected

The documentation for this class was generated from the following file:

- NodeManager.h